# NetworkLoadBalancerProperties

## Properties

| Name             | Type               | Description                                                                                                                                                                                              | Notes                               |
| ---------------- | ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| **ips**          | **Array\<string>** | Collection of the Network Load Balancer IP addresses. (Inbound and outbound) IPs of the listenerLan must be customer-reserved IPs for public Load Balancers, and private IPs for private Load Balancers. | \[optional] \[default to undefined] |
| **lbPrivateIps** | **Array\<string>** | Collection of private IP addresses with subnet mask of the Network Load Balancer. IPs must contain a valid subnet mask. If no IP is provided, the system will generate an IP with /24 subnet.            | \[optional] \[default to undefined] |
| **listenerLan**  | **number**         | ID of the listening LAN (inbound).                                                                                                                                                                       | \[default to undefined]             |
| **name**         | **string**         | The name of the Network Load Balancer.                                                                                                                                                                   | \[default to undefined]             |
| **targetLan**    | **number**         | ID of the balanced private target LAN (outbound).                                                                                                                                                        | \[default to undefined]             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/nodejs-sdk/models/networkloadbalancerproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
